Subject: Re: APUS and IOs question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Nov 2006 09:48:39 +1100

> My plan for moving APUS to arch/powerpc involves writing a new
> bootloader (I'm currently hacking binutils to support AmigaOS binaries)
> that builds a proper flattened device tree and calls the kernel, but I'm
> not sure where the kernel virtual mapping that allows the kernel to run
> from a fixed address should be set up -- if in the bootloader, the
> kernel needs to be aware that changing the MMU settings will yield
> interesting results, and if in the kernel, we need some platform
> specific init code to handle that.

Well, the problem is that you basially have to hack the linear mapping,
thus hitting anything that relies on __pa/__va or operating in real mode
indeed.

How do you do for exception vectors ? Since those have to be either at 0
or at ff* ? You stick branches at 0 to jump to where the kernel
resides ?

Ben.